gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-sandcastle-ng] branch master updated: ci: add HEAD build and depl


From: gnunet
Subject: [taler-sandcastle-ng] branch master updated: ci: add HEAD build and deployment
Date: Sat, 17 Feb 2024 15:47:53 +0100

This is an automated email from the git hooks/post-receive script.

devan-carpenter pushed a commit to branch master
in repository sandcastle-ng.

The following commit(s) were added to refs/heads/master by this push:
     new 0d5f327  ci: add HEAD build and deployment
0d5f327 is described below

commit 0d5f327968c0b09dbdd96e12677dc291164396fd
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Sat Feb 17 09:38:09 2024 -0500

    ci: add HEAD build and deployment
    
    We only want to deploy the HEAD builds for now.
---
 contrib/ci/jobs/0-build/build.sh                       |  3 ---
 contrib/ci/jobs/1-build-head/build.sh                  | 15 +++++++++++++++
 contrib/ci/jobs/1-build-head/job.sh                    |  6 ++++++
 contrib/ci/jobs/{1-deploy => 2-deploy-head}/config.ini |  0
 contrib/ci/jobs/{1-deploy => 2-deploy-head}/job.sh     |  0
 5 files changed, 21 insertions(+), 3 deletions(-)

diff --git a/contrib/ci/jobs/0-build/build.sh b/contrib/ci/jobs/0-build/build.sh
index 8a366b8..1314a7a 100755
--- a/contrib/ci/jobs/0-build/build.sh
+++ b/contrib/ci/jobs/0-build/build.sh
@@ -5,6 +5,3 @@ set -exuo pipefail
 
 mkdir -p /artifacts/sandcastle-ng/${CI_COMMIT_REF} # Variable comes from CI 
environment
 podman tag taler-base-all:latest taler-base-all:${CI_COMMIT_REF}
-podman save \
-       -o /artifacts/sandcastle-ng/${CI_COMMIT_REF}/taler-base-all.tar \
-       taler-base-all:latest
diff --git a/contrib/ci/jobs/1-build-head/build.sh 
b/contrib/ci/jobs/1-build-head/build.sh
new file mode 100755
index 0000000..cca9ed8
--- /dev/null
+++ b/contrib/ci/jobs/1-build-head/build.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -exuo pipefail
+
+for i in buildconfig/*.tag ; do
+       echo "master" > "$i"
+done
+
+./sandcastle-build
+
+mkdir -p /artifacts/sandcastle-ng/${CI_COMMIT_REF} # Variable comes from CI 
environment
+podman tag taler-base-all:latest taler-base-all-head:latest
+podman tag taler-base-head:latest taler-base-all-head:${CI_COMMIT_REF}
+podman save \
+       -o /artifacts/sandcastle-ng/${CI_COMMIT_REF}/taler-base-all-head.tar \
+       taler-base-all-head:latest
diff --git a/contrib/ci/jobs/1-build-head/job.sh 
b/contrib/ci/jobs/1-build-head/job.sh
new file mode 100755
index 0000000..8d79902
--- /dev/null
+++ b/contrib/ci/jobs/1-build-head/job.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -exuo pipefail
+
+job_dir=$(dirname "${BASH_SOURCE[0]}")
+
+"${job_dir}"/build.sh
diff --git a/contrib/ci/jobs/1-deploy/config.ini 
b/contrib/ci/jobs/2-deploy-head/config.ini
similarity index 100%
rename from contrib/ci/jobs/1-deploy/config.ini
rename to contrib/ci/jobs/2-deploy-head/config.ini
diff --git a/contrib/ci/jobs/1-deploy/job.sh 
b/contrib/ci/jobs/2-deploy-head/job.sh
similarity index 100%
rename from contrib/ci/jobs/1-deploy/job.sh
rename to contrib/ci/jobs/2-deploy-head/job.sh

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]